slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetDimensions

Sets the dimension of the subspace to be used by the solver.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetDimensions(MFN mfn,PetscInt ncv)

Logically Collective

### Input Parameters

| mfn | - the matrix function context
| ncv | - the maximum dimension of the subspace to be used by the solver

### Options Database Keys

| -mfn_ncv <ncv> | - Sets the dimension of the subspace

### Notes

Use PETSC_DEFAULT for ncv to assign a reasonably good value, which is dependent on the solution method.

### See Also

MFNGetDimensions()

### Level

intermediate

### Location

src/mfn/interface/mfnopts.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages